\documentclass{beamer}
\usepackage[utf8]{inputenc}
\usepackage[slovak]{babel}
\usepackage{graphicx}
\usepackage{skak}
\usepackage{xskak}%Sachovy balicek pre diagramy
\usepackage{multirow}
\usepackage{chessboard}

\author{Alexander Dračka}
\title{A09: Réti Opening, Declined, Advance Variation 2...d4}
\subtitle{Hypermodern chess opening}
\institute{\href{http://dracka.net}{dracka.net}}
\date{30.10.2022}

\mode<presentation>
{
	\usetheme{Frankfurt}
}

\begin{document}

\begin{frame}
	\titlepage 
\end{frame}

%Obsah prezentacie
\begin{frame}
	\frametitle{Content}
	\tableofcontents
\end{frame}

\begin{frame}
	\section{Theory}
	\frametitle{Information}
	\begin{itemize}
		\item \href{https://en.wikipedia.org/wiki/Richard_R\%C3\%A9ti}{Richard Réti - wikipedia}
		\item \href{https://en.wikipedia.org/wiki/R\%C3\%A9ti_Opening}
{Réti opening - wikipedia}
		\item \href{https://old.chesstempo.com/game-database.html}{Chess Tempo as chess Database}
		\item \href{https://www.365chess.com/opening.php?m=5&n=155&ms=Nf3.d5.c4.dxc4&ns=1.85.60.155}{Database 365chess}
		\item \href{http://www.chesstree.net/}{Opening tree explorer}
		\item \href{https://stockfishchess.org/}{Stockfish}
		\item \href{https://chess.stackexchange.com/questions/18493/whites-reply-against-reti-advance-2-d4/}{Stack Exchange}
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{}
	\setchessboard{smallboard, showmover=true}
	Hypermodern, dynamic and flexible flank opening. Relatively popular variation +2500 games. Possible the most accurate black move.\\
	The most popular moves for white are g3, b4, e3 sorted by popularity. 
		\begin{description}
			\item[Notation]
			\newchessgame
			\mainline{1. Nf3 d5 2.c4 d4}
			\xskakset{moveid=2b}
			\storegame{base_position}
			\item[]
			\chessboard[pgfstyle=straightmove, markmoves={g2-g3,b2-b4,e2-e3}, color=blue, pgfshortenend=0.4em, arrow=to, markmoves=\xskakget{move}, coloremph, piececolor=blue, emphfields={\xskakget{moveto}}]
			\xskakget{moveto}
		\end{description}
\end{frame}

\begin{frame}
	\section{g3 variation}
	\frametitle{3.g3 Variations}
	\centering
	\restoregame{base_position} \hidemoves{3.g3}
		\chessboard[color=black, pgfstyle=knightmove,markmoves={b8-c6, g8-f6}, pgfstyle=straightmove, markmoves={f7-f6, c7-c5}, color=blue, pgfshortenend=0.4em, arrow=to, markmoves={g2-g3}, coloremph, piececolor=blue, emphfields=g3] 
\end{frame}

\begin{frame}
	\frametitle{3.g3 Nc6 Main line}
	\centering
	\restoregame{base_position} \hidemoves{3.g3 Nc6}
	\storegame{g3}
	\chessboard[color=green, pgfstyle=straightmove, markmoves={f1-g2, d2-d3}, color=blue, pgfshortenend=0.4em, arrow=to, markmoves={b8-c6}, coloremph, piececolor=blue, emphfields=c6, pgfstyle=circle, linewidth=0.1em, color=blue, markfields=e2] 
\end{frame}

\begin{frame}
	\frametitle{3.g3 Nc6 Strategy}
		\begin{itemize}
		\item General strategy for a Kingside fianchetto
		\item Avoid closed position to exploit the full power of bishop
		\item Possible queenside attack 
		\newline
		\item Stable pawn structure after d3
		\item e2 usually to keep in place to help protect f3
	\newline \newline 
	Usually considered Black's best line. Black want to defend d4 pawn, develop pieces and play early e5.
	\end{itemize}
\end{frame}		

\begin{frame}[fragile]
	\shorthandoff{-}
	\begin{tabular}{c|c}
		\restoregame{base_position}
		\hidemoves{3.g3 Nc6 }\mainline{4.Bg2 e5 5.d3 Nf6 6. O-O} \storegame{g3_main} & 
		\restoregame{base_position}
		\hidemoves{3.g3 Nc6} \mainline{4.Bg2 g6 5. d3 Bg7 6. O-O} \storegame{g3_critical}\\
		
		Main line &  Critical line\\
		\restoregame{g3_main}
		\xskakset{moveid=6w}
		\chessboard[smallboard, markmoves=\xskakget{move}, coloremph, piececolor=blue, emphfields={\xskakget{moveto}}]
		&
		\restoregame{g3_critical}
		\xskakset{moveid=6w}
		\chessboard[smallboard, markmoves=\xskakget{move}, coloremph, piececolor=blue, emphfields={\xskakget{moveto}}]

		\end{tabular}
\end{frame}

\begin{frame}
	\section{b4 variation}
	\frametitle{3.b4}
	\restoregame{base_position}\hidemoves{3.b4}
	\storegame{b4_base}
	\xskakset{moveid=3w}
	\chessboard[pgfstyle=straightmove, color=green, markmoves={c1-b2, g2-g3, f1-g2}, pgfstyle=straightmove, color=black, markmoves={f7-f6, c7-c5, c8-g4, g7-g6}, color=blue, pgfshortenend=0.4em, arrow=to, markmoves=\xskakget{move}, coloremph, piececolor=blue, emphfields={\xskakget{moveto}}]
	\centering
\end{frame}

\begin{frame}

\end{frame}

\begin{frame}
	\frametitle{3.b4 f6 Main line}
	\restoregame{b4_base} \hidemoves{3...f6}
	\xskakset{moveid=3b}
	\chessboard[markmoves=\xskakget{move}, coloremph, piececolor=blue, emphfields={\xskakget{moveto}}, pgfstyle=straightmove, color=red, markmoves={e2-e3}]
	\centering
\end{frame}



\begin{frame}
	\section{e3 variation}
	\frametitle{3.e3}
	\restoregame{base_position}\hidemoves{3.e3}
	\storegame{e3_base}
	\xskakset{moveid=3w}
	\chessboard[coloremph, piececolor=blue, emphfields={\xskakget{moveto}}]
	\centering
\end{frame}

\begin{frame}
		\frametitle{3.e3 Strategy}
		\begin{itemize}
		\item Playable variation
		\item Pushing pressure od d4
		\newline
		\item Not sharp enough and can be easily defended by Nc6
		\item After exchanges the position is theoretically equal, but...
	\end{itemize}
	\restoregame{e3_base}\hidemoves{3...Nc6 4.exd4 Nxd4 5. Nxd4 Qxd4}
	\xskakset{moveid=5b}
	\chessboard[smallboard,coloremph, piececolor=blue, emphfields={\xskakget{moveto}}]
\end{frame}

\end{document}
